class_name Character extends Resource
## Container for a playable character scene & associated data.

## Scene file of this character's controller.
@export var controller_scene: PackedScene

## Human-readable name of the character (or corresponding i18n key)
@export var name: String

## Global typesafe accessor for character catalog
static var catalog: CharacterCatalogType:
	get:
		return CharacterCatalog
