class_name Level extends Resource
## Container for a level scene & associated data.

## Scene file of this level.
@export var scene: PackedScene

## Name of the level (or corresponding i18n key)
@export var level_name: String

## Preview image for the level. Will be used for thumbnails.
@export var preview: Texture2D

## Global typesafe accessor for level catalog
static var catalog: LevelCatalogType:
	get:
		return LevelCatalog
